This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 126972 - spurious output from postinstall scriptlet
spurious output from postinstall scriptlet
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
rawhide
All Linux
medium Severity low
: ---
: ---
Assigned To: Dave Jones
Brian Brock
:
Depends On:
Blocks: FC3Target FC4Target
  Show dependency treegraph
 
Reported: 2004-06-29 17:58 EDT by Michal Jaegermann
Modified: 2015-01-04 17:07 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-01-14 00:36:04 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Michal Jaegermann 2004-06-29 17:58:37 EDT
Description of problem:

Recent kernel versions during installation print messages like
/lib/modules/2.6.7-1.459/build /

Closer examination reveals that this come from a somewhat strange
in non-interactive shell invocation of pushd.  More precisely
the script fragment in question looks as follows:

if [ -x /usr/sbin/hardlink ] ; then
pushd /lib/modules/2.6.7-1.459/build  ; {
        find . -type f | while read f; do
          hardlink -c /lib/modules/*/build/$f $f ; done
}

While not simpler
[ -x /usr/sbin/hardlink ] && hardlink /lib/modules/
or, maybe a bit more circumspect
[ -x /usr/sbin/hardlink ] && hardlink /lib/modules/*/build/
which seems to really amount to the same? (It is hard to be
sure withough digging through sources as hardlink does not have
any documentation I can see).

In any case 'cd /lib/modules/2.6.7-1.459/build && { find ... }'
will not do anything else in the context beyond checking that
cd indeed succeeded.

Version-Release number of selected component (if applicable):
kernel-2.6.7-1.459
Comment 1 Dave Jones 2005-01-14 00:36:04 EST
I don't see the output you mention on any of the current kernels,
so I'm assuming this got fixed some time ago.

Note You need to log in before you can comment on or make changes to this bug.